<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Votaciones</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

</head>
<body>
    <div class="container">
    <h1>Gente de Vue</h1>
    <ul class="list-group">
       <li v-for="(candidato, index) in candidatos" :key="index" class="list-group-item">
           {{candidato.name}} {{candidato.votos}}

           <button class="btn btn-primary" @click="candidato.votos++" >
               Vote 
           </button>

       </li>

       </ul>
    <input @keyup.delete="clear" class="form-control" placeholder="presione 'suprimir' para resetear los votos">
    <h2>¡Nuestro alcalde es {{mayor.name}} ! </h2>

       <!-- <pre>{{$data}} </pre> 
       <pre>{{mayor}}  </pre> -->


    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="semana4.js"></script>

    
</body>
</html>